Package org.apache.lucene.codecs.lucene912

# Class PostingIndexInput

java.lang.Object
org.apache.lucene.codecs.lucene912.PostingIndexInput

public final class PostingIndexInput extends Object
Wrapper around an `IndexInput` and a `ForUtil` that optionally optimizes decoding using vectorization. This class mostly exists to enable benchmarking the decoding logic of postings since it internally calls code that may only be called from the lucene-core JAR.

## Field Summary

Fields
Modifier and Type
Field
Description
`final ForDeltaUtil`
`forDeltaUtil`
`final ForUtil`
`forUtil`

## Constructor Summary

Constructors
Constructor
Description
`PostingIndexInput(IndexInput in, ForUtil forUtil, ForDeltaUtil forDeltaUtil)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(int bitsPerValue, long[] longs)`
Decode 128 integers stored on `bitsPerValues` bits per value into `longs`.
`void`
`decodeAndPrefixSum(int bitsPerValue, long base, long[] longs)`
Decode 128 integers stored on `bitsPerValues` bits per value, compute their prefix sum, and store results into `longs`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### forUtil

public final ForUtil forUtil

### forDeltaUtil

public final ForDeltaUtil forDeltaUtil

## Constructor Details

### PostingIndexInput

public PostingIndexInput(IndexInput in, ForUtil forUtil, ForDeltaUtil forDeltaUtil) throws IOException

Throws:
  `IOException`

## Method Details

### decode

public void decode(int bitsPerValue, long[] longs) throws IOException
Decode 128 integers stored on `bitsPerValues` bits per value into `longs`.

Throws:
  `IOException`

### decodeAndPrefixSum

public void decodeAndPrefixSum(int bitsPerValue, long base, long[] longs) throws IOException
Decode 128 integers stored on `bitsPerValues` bits per value, compute their prefix sum, and store results into `longs`.

Throws:
  `IOException`